vgp.discrete.curvature

## Class PjCurvature

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.discrete.curvature.PjCurvature

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjCurvature
      extends PjProject

  Demonstration of discrete curvature of a planar polygon.
  See Also:
    Serialized Form
  Version:
    18.07.00, 1.10 revised (ep) Changed to new routines.
    26.06.00, 1.00 created (ep)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjCurvature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endPicking()`
    `PvDisplayIf` | `getSphereDisplay()`
    `void` | `init()` Initialize and reset project, stops the running animation if any.
    `void` | `pickInitial(PvPickEvent p)` Pick an arbitrary point on a geometry, point may lie inside an element.
    `boolean` | `setTime(PsTimeEvent ev)` Empty method, must be overwritten by subclasses to update dynamic object.
    `void` | `start()` Method is invoked during loading of a project in JavaView.
    `void` | `stop()` Stop all animations and auto-rotation in display.
    `boolean` | `update(java.lang.Object o)` Update all inspector panels, send update to all registered update listeners and finally update parent.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameterInfo, setViewer, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjCurvature

          public PjCurvature()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PjProject`
      Initialize and reset project, stops the running animation if any. Does not reset any registered display nor geometry. They must be reset individually in each subclass.
      Overrides:
        `init` in class `PjProject`

    - #### getSphereDisplay

          public PvDisplayIf getSphereDisplay()

    - #### start

          public void start()

      Description copied from class: `PjProject`
      Method is invoked during loading of a project in JavaView.

      If a project has an animation object, then the animation panel is shown when the project's this start() method is invoked during loading of the project. Use `setAnimation(PsAnimation)` to register an animation.

      If auto fit is enabled then scenery is scaled to fit in each display.

      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### stop

          public void stop()

      Description copied from class: `PjProject`
      Stop all animations and auto-rotation in display. Hide animation panel, remove itself as pick listener from displays. The object can be reinvoked using init() and start().
      Overrides:
        `stop` in class `PjProject`
      See Also:
        `PvViewerIf.stop()`

    - #### setTime

          public boolean setTime(PsTimeEvent ev)

      Description copied from class: `PjProject`
      Empty method, must be overwritten by subclasses to update dynamic object.
      Specified by:
        `setTime` in interface `PsTimeListenerIf`
      Overrides:
        `setTime` in class `PjProject`

    - #### pickInitial

          public void pickInitial(PvPickEvent p)

      Description copied from class: `PjProject`
      Pick an arbitrary point on a geometry, point may lie inside an element. This method does nothing and must be overwritten.
      Specified by:
        `pickInitial` in interface `PvPickListenerIf`
      Overrides:
        `pickInitial` in class `PjProject`
      Parameters:
        `p` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

    - #### endPicking

          public void endPicking()

    - #### update

          public boolean update(java.lang.Object o)

      Description copied from class: `PsObject`
      Update all inspector panels, send update to all registered update listeners and finally update parent. Each of those updates has this object as event independent of the argument of this method.

      Central update method of this object. Must be overwritten if this class receives unknown events, say, from new children. Any subclass must class invoke super.update(event) on all events it does handle itself.

      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `o` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"